Retrieve Document Template Collection
Retrieve all document templates.
GET
/api/{version}/objects/documents/templatesHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
Request
Section link for Requestcurl -X GET -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v17.2/objects/documents/templatesResponse
Section link for Response{
"responseStatus":"SUCCESS",
"data":[
{
"name__v":"claim_document_template__c",
"label__v":"Claim Document Template",
"active__v":true,
"type__v":"claim__c",
"format__v": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
"size__v": 2781904,
"created_by__v": 12021,
"file_uploaded_by__v": 12021,
"md5checksum__v": 98238947109287333
},
{
"name__v":"clinical_study_document_template__c",
"label__v":"Clinical Study Document Template",
"active__v":true,
"type__v":"reference_document__c",
"subtype__v":"clinical_study__c",
"format__v": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
"size__v": 15776,
"created_by__v": 12021,
"file_uploaded_by__v": 12021,
"md5checksum__v": 75886214401031117
},
{
"name__v":"promo_ad_print_document_template__c",
"label__v":"Promo Ad Print Document Template",
"active__v":true,
"type__v":"promotional_piece__c",
"subtype__v":"advertisement__c",
"classification__v":"print__c",
"format__v": "application/vnd.openxmlformats-officedocument.wordprocessingml.document",
"size__v": 82923,
"created_by__v": 12021,
"file_uploaded_by__v": 12021,
"md5checksum__v": 52478042594365555
}
]
}Response Details
Section link for Response DetailsThe response lists all document templates which have been added to the Vault. Shown above, three document templates exist in our Vault:
- The first
claim_document_template__cexists at the document type level. It is intended for use with new documents of theclaim__ctype. - The second
clinical_study_document_template__cexists at the document subtype level. It is intended for use with new documents of theclinical_study__csubtype. - The third
promo_ad_print_document_template__cexists at the document classification level. It is intended for use with new documents of theprint__cclassification.
For information about the document template metadata, refer to the "Retrieve Document Template Attributes" response below.